epp_ContactUpdateAddRemove (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.contact.epp_ContactUpdateAddRemove class

### org.openrtk.idl.epp0604.contact

# Class epp_ContactUpdateAddRemove

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.contact.epp_ContactUpdateAddRemove`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactUpdateAddRemove`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements to be added into or removed from the contact object in the registry. This class can only be used when modifying a contact object. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/contact/epp_ContactUpdateAddRemove.java,v 1.1 2003/03/21 15:54:59 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 15:54:59 $

See Also:
  `epp_ContactUpdateReq.setAdd(epp_ContactUpdateAddRemove)`, `epp_ContactUpdateReq.setRemove(epp_ContactUpdateAddRemove)`

  ## Field Summary
  `epp_ContactStatus[]` | `m_status` The array of status to be associated with or removed from the contact object.

  ## Constructor Summary
  `epp_ContactUpdateAddRemove()` Empty constructor
  `epp_ContactUpdateAddRemove(epp_ContactStatus[] _m_status)` The constructor with initializing variables.

  ## Method Summary
  `epp_ContactStatus[]` | `getStatus()` Accessor method for the array of status to be associated with or removed from the contact object
  `void` | `setStatus(epp_ContactStatus[] value)` Accessor method for the array of status to be associated with or removed from the contact object
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_status

    public epp_ContactStatus[] m_status

> The array of status to be associated with or removed from the contact object.
> See Also:
>   `setStatus(epp_ContactStatus[])`, `getStatus()`

## Constructor Details

### epp_ContactUpdateAddRemove

    public epp_ContactUpdateAddRemove()

> Empty constructor

### epp_ContactUpdateAddRemove

    public epp_ContactUpdateAddRemove(epp_ContactStatus[] _m_status)

> The constructor with initializing variables.
> Parameters:
>   `_m_status` - The array of status to be associated with or removed from the contact object

## Method Details

### getStatus

    public epp_ContactStatus[] getStatus()

> Accessor method for the array of status to be associated with or removed from the contact object
> Returns:
>   The array of contact status values
> See Also:
>   `m_status`

### setStatus

    public void setStatus(epp_ContactStatus[] value)

> Accessor method for the array of status to be associated with or removed from the contact object
> Parameters:
>   `value` - The array of contact status values
> See Also:
>   `m_status`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS